Extending Qt Creator Manual | BreakpointResponse

Extending Qt Creator Manual 4.7.1

# BreakpointResponse Class

(Debugger::Internal::BreakpointResponse)

Header: | #include <BreakpointResponse>
Inherits: | Debugger::Internal::BreakpointParameters

- List of all members, including inherited members

## Public Functions

| BreakpointResponse()
void | fromParameters(const Debugger::Internal::BreakpointParameters &p)
int | toString() const

- 12 public functions inherited from Debugger::Internal::BreakpointParameters

## Detailed Description

This is what debuggers produce in response to the attempt to insert a breakpoint. The data might differ from the requested bits.

## Member Function Documentation

### BreakpointResponse::BreakpointResponse()

Default constructs an instance of BreakpointResponse.

### void BreakpointResponse::fromParameters(const Debugger::Internal::BreakpointParameters &p)

### int BreakpointResponse::toString() const